<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>TP5: Référence de la classe Carte</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TP5
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Fonctions membres publiques</a> &#124;
<a href="classCarte-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe Carte</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Fonctions membres publiques</h2></td></tr>
<tr class="memitem:aa7e7cb592b448b5b590353809b2c1305"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCarte.html#aa7e7cb592b448b5b590353809b2c1305">__construct</a> (String $value=&quot;&quot;, String $color=&quot;&quot;, int $order=0)</td></tr>
<tr class="separator:aa7e7cb592b448b5b590353809b2c1305"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcbd45cbcaef5546fb6dde3e290f400d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCarte.html#afcbd45cbcaef5546fb6dde3e290f400d">getValue</a> ()</td></tr>
<tr class="separator:afcbd45cbcaef5546fb6dde3e290f400d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9db0dabd1bc62df5ff344e7100a37c59"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCarte.html#a9db0dabd1bc62df5ff344e7100a37c59">getColor</a> ()</td></tr>
<tr class="separator:a9db0dabd1bc62df5ff344e7100a37c59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35173708913776a82c8ab08118bf588c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCarte.html#a35173708913776a82c8ab08118bf588c">getOrder</a> ()</td></tr>
<tr class="separator:a35173708913776a82c8ab08118bf588c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ffa88900eaef7e917758e0e928a2718"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCarte.html#a3ffa88900eaef7e917758e0e928a2718">__toString</a> ()</td></tr>
<tr class="separator:a3ffa88900eaef7e917758e0e928a2718"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fc424dd9fe25fa96a5a896e05bacca4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCarte.html#a7fc424dd9fe25fa96a5a896e05bacca4">isWeaker</a> (<a class="el" href="classCarte.html">Carte</a> $carte)</td></tr>
<tr class="separator:a7fc424dd9fe25fa96a5a896e05bacca4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79caeed499770e985651d17298f1a934"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCarte.html#a79caeed499770e985651d17298f1a934">isStronger</a> (<a class="el" href="classCarte.html">Carte</a> $carte)</td></tr>
<tr class="separator:a79caeed499770e985651d17298f1a934"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b0b4ce93d2b23dd9cf03af0699a71bc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCarte.html#a6b0b4ce93d2b23dd9cf03af0699a71bc">isEqual</a> (<a class="el" href="classCarte.html">Carte</a> $carte)</td></tr>
<tr class="separator:a6b0b4ce93d2b23dd9cf03af0699a71bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Documentation des constructeurs et destructeur</h2>
<a id="aa7e7cb592b448b5b590353809b2c1305"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7e7cb592b448b5b590353809b2c1305">&#9670;&nbsp;</a></span>__construct()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Carte::__construct </td>
          <td>(</td>
          <td class="paramtype">String&#160;</td>
          <td class="paramname"><em>$value</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">String&#160;</td>
          <td class="paramname"><em>$color</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>$order</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Constructeur de la classe Card. Ce constructeur permet d'affecter une valeur, une couleur et un ordre à une carte. Lorsque ces valeurs ne sont pas renseignées, les attributs valeur et color seront initialisés par une chaîne de caractères vide, tandis que l'attribut order sera initialisé à 0</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">$value</td><td>Valeur de la carte </td></tr>
    <tr><td class="paramname">$color</td><td>Couleur de la carte </td></tr>
    <tr><td class="paramname">$order</td><td>Ordre de la carte </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Documentation des fonctions membres</h2>
<a id="a3ffa88900eaef7e917758e0e928a2718"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ffa88900eaef7e917758e0e928a2718">&#9670;&nbsp;</a></span>__toString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Carte::__toString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Méthode permettant d'afficher une instance de la classe Card sous la forme d'une chaîne de caractères. Retourne la chaîne de caractères représentant le contenu de l'instance de la classe Card.</p>
<dl class="section return"><dt>Renvoie</dt><dd>Chaîne de caractères représentant le contenu de l'instance de la classe Card. </dd></dl>

</div>
</div>
<a id="a9db0dabd1bc62df5ff344e7100a37c59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9db0dabd1bc62df5ff344e7100a37c59">&#9670;&nbsp;</a></span>getColor()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Carte::getColor </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Accesseur à la couleur de la carte. Retourne la couleur de la carte sous la forme d'une chaîne de caractères.</p>
<dl class="section return"><dt>Renvoie</dt><dd>Couleur de la carte sous la forme d'une chaîne de caractères. </dd></dl>

</div>
</div>
<a id="a35173708913776a82c8ab08118bf588c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35173708913776a82c8ab08118bf588c">&#9670;&nbsp;</a></span>getOrder()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Carte::getOrder </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Accesseur à l'ordre de la carte. Retourne l'ordre de la carte sous la forme d'un entier.</p>
<dl class="section return"><dt>Renvoie</dt><dd>Ordre de la carte sous la forme d'un entier. </dd></dl>

</div>
</div>
<a id="afcbd45cbcaef5546fb6dde3e290f400d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afcbd45cbcaef5546fb6dde3e290f400d">&#9670;&nbsp;</a></span>getValue()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Carte::getValue </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Accesseur à la valeur de la carte. Retourne la valeur de la carte sous la forme d'une chaîne de caractères.</p>
<dl class="section return"><dt>Renvoie</dt><dd>Valeur de la carte sous la forme d'une chaîne de caractères. </dd></dl>

</div>
</div>
<a id="a6b0b4ce93d2b23dd9cf03af0699a71bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b0b4ce93d2b23dd9cf03af0699a71bc">&#9670;&nbsp;</a></span>isEqual()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Carte::isEqual </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCarte.html">Carte</a>&#160;</td>
          <td class="paramname"><em>$carte</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Méthode permettant de savoir si la carte, sur laquelle on applique cette méthode, est de même ordre que la carte passée en paramètre. Retourne un booléen traduisant la véracité de ce propos : true si la carte passée en paramètre est de même ordre que la carte sur laquelle on applique cette méthode, false sinon.</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">$carte</td><td><a class="el" href="classCarte.html">Carte</a> dont on veut savoir si elle est de même ordre que la carte sur laquelle on applique la méthode.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>Booléen : true si la carte passée en paramètre est de même ordre que la carte sur laquelle on applique cette méthode, false sinon. </dd></dl>

</div>
</div>
<a id="a79caeed499770e985651d17298f1a934"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79caeed499770e985651d17298f1a934">&#9670;&nbsp;</a></span>isStronger()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Carte::isStronger </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCarte.html">Carte</a>&#160;</td>
          <td class="paramname"><em>$carte</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Méthode permettant de savoir si la carte, sur laquelle on applique cette méthode, est supérieure à la carte passée en paramètre. Retourne un booléen traduisant la véracité de ce propos : true si la carte passée en paramètre est plus petite que la carte sur laquelle on applique cette méthode, false sinon.</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">$carte</td><td><a class="el" href="classCarte.html">Carte</a> dont on veut savoir si elle est plus petite que la carte sur laquelle on applique la méthode</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>Booléen : true si la carte passée en paramètre est plus petite que la carte sur laquelle on applique cette méthode, false sinon. </dd></dl>

</div>
</div>
<a id="a7fc424dd9fe25fa96a5a896e05bacca4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7fc424dd9fe25fa96a5a896e05bacca4">&#9670;&nbsp;</a></span>isWeaker()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Carte::isWeaker </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCarte.html">Carte</a>&#160;</td>
          <td class="paramname"><em>$carte</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Méthode permettant de savoir si la carte, sur laquelle on applique cette méthode, est inférieure à la carte passée en paramètre. Retourne un booléen traduisant la véracité de ce propos : true si la carte passée en paramètre est plus grande que la carte sur laquelle on applique cette méthode, false sinon.</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">$carte</td><td><a class="el" href="classCarte.html">Carte</a> dont on veut savoir si elle est plus grande que la carte sur laquelle on applique la méthode</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>Booléen : true si la carte passée en paramètre est plus grande que la carte sur laquelle on applique cette méthode, false sinon. </dd></dl>

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir du fichier suivant :<ul>
<li>Carte.class.php</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
